easy_install получает неправильную версию pip

Я выполнял инструкции по адресу http://docs.python-guide.org/en/latest/starting/install/osx/, но по какой-то причине это не так, как я полагаю, это ожидалось.

У меня есть python 2.7, работающий по умолчанию, но мне нужно было обновить easy_install, выполнив следующие инструкции: https://superuser.com/questions/256717/easy-install-the-wrong-version-of-python-modules -mac-os и связать его с / usr / local / bin / share в / usr / local / bin. Кажется, он работает нормально.

Проблема в том, что теперь, когда я устанавливаю pip, кажется, что он устанавливается на 2.6, а не на 2.7.

darky:~ user$ easy_install --upgrade pip Searching for pip Reading http://pypi.python.org/simple/pip/ Reading http://pip.openplans.org Reading http://www.pip-installer.org Best match: pip 1.1 Processing pip-1.1-py2.6.egg pip 1.1 is already the active version in easy-install.pth Installing pip script to /usr/local/bin Installing pip-2.6 script to /usr/local/bin Using /Library/Python/2.6/site-packages/pip-1.1-py2.6.egg Processing dependencies for pip Finished processing dependencies for pip 

После комментариев MartijnPieters эта проблема НЕ ДОЛЖНА

  darky:~ user$ /usr/local/share/python/easy_install-2.7 pip Searching for pip Best match: pip 1.1 Processing pip-1.1-py2.7.egg pip 1.1 is already the active version in easy-install.pth Installing pip script to /usr/local/share/python Installing pip-2.7 script to /usr/local/share/python Using /usr/local/lib/python2.7/site-packages/pip-1.1-py2.7.egg Processing dependencies for pip Finished processing dependencies for pip darky:~ user$ pip install virtualenv --upgrade Requirement already up-to-date: virtualenv in /Library/Python/2.6/site-packages Cleaning up... 

Но pip все еще создает среды с python-2.6. Поэтому я должен указать его правильному интерпретатору питона.

  darky:pytravisci pedrorodrigues$ virtualenv --python=/usr/local/bin/python2.7 ENV Running virtualenv with interpreter /usr/local/bin/python2.7 New python executable in ENV/bin/python Installing setuptools............................done. Installing pip...............done. 

One Solution collect form web for “easy_install получает неправильную версию pip”

Вы можете использовать

 easy_install-2.7 

или если у вас нет этого псевдонима:

 python2.7 -m easy_install <stuff> 

Для пипса:

 pip2.7 
  • Virtualenv: глобальные пакеты сайтов и пакеты сайтов в виртуальной среде
  • Pip создает сборку / каталоги
  • Ubuntu + virtualenv = беспорядок? virtualenv ненавидит dist-пакеты, хочет сайты-пакеты
  • Как указать порядок установки для питона python?
  • Всесторонний учебник для начинающих?
  • Каков наилучший способ создания частной, автономной среды python?
  • Как использовать расширение отладки gdb python внутри virtualenv
  • Использование git для управления состоянием virtualenv: это вызовет проблемы?
  • ImportError при установке pip в virtualenv
  • Проблемы с использованием носа в virtualenv
  • Создание виртуальной машины с помощью версии Anaconda Python
  •  
    Interesting Posts for Van-Lav
    Python - лучший язык программирования в мире.